This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1309794 - Review Request: qtscrob - Qt last.fm submitter for portable music devices [NEEDINFO]
Review Request: qtscrob - Qt last.fm submitter for portable music devices
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
AwaitingSubmitter
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2016-02-18 12:49 EST by Igor Gnatenko
Modified: 2016-11-05 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-05 19:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: fedora‑review+
projects.rg: needinfo? (ignatenko)


Attachments (Terms of Use)
my recommendation for qtscrob.spec (2.02 KB, text/plain)
2016-07-10 11:40 EDT, Raphael Groner
no flags Details
my recommended qtscrob.spec (2.11 KB, text/plain)
2016-07-10 11:43 EDT, Raphael Groner
no flags Details

  None (edit)
Description Igor Gnatenko 2016-02-18 12:49:53 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/qtscrob.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/qtscrob-0.11-1.fc24.src.rpm
Description:
qtscrob is a Qt app for editing and uploading information about listened
tracks to last.fm (formerly known as audioscrobbler). qtscrob can retrieve
this information from iPods, MTP (aka Plays for Sure) or Rockbox devices.
Fedora Account System Username: ignatenkobrain
Comment 1 Raphael Groner 2016-07-10 11:38:48 EDT
Review swap with bug #1354184. Thanks for your interest! Below are some general hints before I can do an official review.

1. Why do you use GPLv2 instead of GPLv2+? I don't see a restriction in sources, the COPYING file clearly says "or later":
GNU General Public License v2.0 only      GPLv2 
GNU General Public License v2.0 or later  GPLv2+

2. Add Requires: hicolor-icon-theme, for ownership of %{_datadir}/icons/hicolor/

3. Add documentation files:
%files
%doc AUTHORS CHANGELOG README


- Recommendations:

4. Can you build with Qt5 instead of Qt4? Qt4 development is stalled, but some of the used classes are not available in Qt5:
http://stackoverflow.com/questions/26180311/qhttp-in-not-available-in-qt5
https://forum.qt.io/topic/23904/qtftp-and-qthttp-compatibility-add-ons-for-qhttp-and-qftp-classes-in-qt-5/3

You may also need a patch for the pro file:
sed -i -r 's/(VER = ).*/\1QT_VERSION/' src/%{name}.pro

5. My preference is to use BuildRequires: desktop-file-utils, instead of giving a concrete path of own file desktop-file-validate.

6. Simplify build and install commands in a more convinient way:
%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%qmake_qt4 ../src/%{name}.pro PREFIX=%{_prefix}
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform} INSTALL_ROOT=%{buildroot}
Comment 2 Raphael Groner 2016-07-10 11:40 EDT
Created attachment 1178088 [details]
my recommendation for qtscrob.spec

Please use this spec file.
Comment 3 Raphael Groner 2016-07-10 11:43 EDT
Created attachment 1178089 [details]
my recommended qtscrob.spec

Please use this spec file.

Sorry, forgot some of the fixes in first upload.
Comment 4 Igor Gnatenko 2016-07-11 03:55:51 EDT
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/qtscrob.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/qtscrob-0.11-2.fc25.src.rpm

* License is GPLv2+
* Requires for hicolor stuff added
* those docs are completely useless
* Ported to qt5
* simplified make stuff as you suggested
Comment 5 Raphael Groner 2016-07-11 04:36:41 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Add zlib to License tag and mention xgetopt in a comment
- for license breakdown:
zlib/libpng BSD
---------------
qtscrob-0.11/src/common/xgetopt.c
qtscrob-0.11/src/common/xgetopt.h

- Use %license COPYING debian/copyright, second file is for zlib.
- Fix needed for rpmlint errors.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "zlib/libpng BSD", "Unknown or generated", "zlib/libpng
     BSD GPL". 13 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-
     review/1309794-qtscrob/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
=> Maybe unbundle xgetopt.c? But no idea where it is from.

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in qtscrob
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
=> Fix needed for licensing.

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     scrobbler , qtscrob-debuginfo
=> Ignore.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
=> Please send the qt5 patch to upstream. Maybe create a fork on GitHub?

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qtscrob-0.11-2.fc25.x86_64.rpm
          scrobbler-0.11-2.fc25.x86_64.rpm
          qtscrob-debuginfo-0.11-2.fc25.x86_64.rpm
          qtscrob-0.11-2.fc25.src.rpm
qtscrob.x86_64: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
qtscrob.x86_64: W: spelling-error %description -l en_US fm -> FM, Fm, gm
qtscrob.x86_64: W: spelling-error %description -l en_US audioscrobbler -> arteriosclerosis
qtscrob.x86_64: W: spelling-error %description -l en_US iPods -> i Pods, iPod, iPod's
qtscrob.x86_64: E: script-without-shebang /usr/share/licenses/qtscrob/COPYING
qtscrob.x86_64: E: wrong-script-end-of-line-encoding /usr/share/licenses/qtscrob/COPYING
qtscrob.x86_64: E: incorrect-fsf-address /usr/share/licenses/qtscrob/COPYING
qtscrob.x86_64: W: spurious-executable-perm /usr/share/man/man1/qtscrob.1.gz
scrobbler.x86_64: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
scrobbler.x86_64: W: spelling-error %description -l en_US scrobble -> scribble, scrabble, Scrabble
scrobbler.x86_64: W: spelling-error %description -l en_US cli -> cl, clii, clip
scrobbler.x86_64: W: spelling-error %description -l en_US fm -> FM, Fm, gm
scrobbler.x86_64: W: spelling-error %description -l en_US iPods -> i Pods, iPod, iPod's
scrobbler.x86_64: E: script-without-shebang /usr/share/licenses/scrobbler/COPYING
scrobbler.x86_64: E: wrong-script-end-of-line-encoding /usr/share/licenses/scrobbler/COPYING
scrobbler.x86_64: E: incorrect-fsf-address /usr/share/licenses/scrobbler/COPYING
scrobbler.x86_64: W: spurious-executable-perm /usr/share/man/man1/scrobbler.1.gz
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/common.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/common.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/conf.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/conf.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/settings.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/settings.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/submit.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/submit.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/app.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/app.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/lib/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/lib/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.rcc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/help.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/help.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/about.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/about.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/help.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/help.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.ui
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.ui
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/app.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/app.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/settings.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/settings.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/common.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/common.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/progress.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/progress.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-log.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-log.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/console.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/console.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp-libmtp.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp-libmtp.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/dbcache.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/dbcache.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/main.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/main.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/about.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/about.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.rcc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/scrobbler.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/scrobbler.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-log.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-log.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/progress.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/progress.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/conf.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/conf.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/submit.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/submit.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/dbcache.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/dbcache.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/console.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/console.h
qtscrob.src: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
qtscrob.src: W: spelling-error %description -l en_US fm -> FM, Fm, gm
qtscrob.src: W: spelling-error %description -l en_US audioscrobbler -> arteriosclerosis
qtscrob.src: W: spelling-error %description -l en_US iPods -> i Pods, iPod, iPod's
4 packages and 0 specfiles checked; 43 errors, 64 warnings.




Rpmlint (debuginfo)
-------------------
Checking: qtscrob-debuginfo-0.11-2.fc25.x86_64.rpm
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/scrobbler.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/scrobbler.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-log.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-log.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/settings.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/settings.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/help.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/help.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/conf.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/conf.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.rcc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/help.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/help.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/dbcache.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/dbcache.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-log.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-log.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/submit.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/submit.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/submit.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/submit.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/console.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/console.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp-libmtp.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp-libmtp.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/settings.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/settings.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/dbcache.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/dbcache.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/conf.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/conf.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/about.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/about.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.ui
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.ui
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/main.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/main.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/common.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/common.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/app.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/app.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/console.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/console.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/common.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/common.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/about.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/about.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/progress.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/progress.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/app.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/app.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.rcc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/progress.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/progress.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/lib/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/lib/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.h
1 packages and 0 specfiles checked; 37 errors, 49 warnings.





Rpmlint (installed packages)
----------------------------
qtscrob.x86_64: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
qtscrob.x86_64: W: spelling-error %description -l en_US fm -> FM, Fm, gm
qtscrob.x86_64: W: spelling-error %description -l en_US audioscrobbler -> arteriosclerosis
qtscrob.x86_64: W: spelling-error %description -l en_US iPods -> i Pods, iPod, iPod's
qtscrob.x86_64: W: spurious-executable-perm /usr/share/man/man1/qtscrob.1.gz
qtscrob.x86_64: E: script-without-shebang /usr/share/licenses/qtscrob/COPYING
qtscrob.x86_64: E: wrong-script-end-of-line-encoding /usr/share/licenses/qtscrob/COPYING
qtscrob.x86_64: E: incorrect-fsf-address /usr/share/licenses/qtscrob/COPYING
scrobbler.x86_64: W: spelling-error Summary(en_US) fm -> FM, Fm, gm
scrobbler.x86_64: W: spelling-error %description -l en_US scrobble -> scribble, scrabble, Scrabble
scrobbler.x86_64: W: spelling-error %description -l en_US cli -> cl, clii, clip
scrobbler.x86_64: W: spelling-error %description -l en_US fm -> FM, Fm, gm
scrobbler.x86_64: W: spelling-error %description -l en_US iPods -> i Pods, iPod, iPod's
scrobbler.x86_64: E: script-without-shebang /usr/share/licenses/scrobbler/COPYING
scrobbler.x86_64: E: wrong-script-end-of-line-encoding /usr/share/licenses/scrobbler/COPYING
scrobbler.x86_64: E: incorrect-fsf-address /usr/share/licenses/scrobbler/COPYING
scrobbler.x86_64: W: spurious-executable-perm /usr/share/man/man1/scrobbler.1.gz
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/settings.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/settings.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/progress.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/progress.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp-libmtp.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp-libmtp.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/about.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/about.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-log.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-log.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.rcc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-log.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-log.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/conf.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/conf.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/help.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/help.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/conf.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/conf.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/gettrackinfo.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/main.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/main.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/help.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/help.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-mtp.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/console.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/console.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/submit.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/submit.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/lib/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/lib/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.ui
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.ui
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/dbcache.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/dbcache.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/app.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/app.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/common.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/common.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/dbcache.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/dbcache.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/progress.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/progress.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/console.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/console.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/about.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/about.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/scrobbler.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/scrobbler.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/cli/app.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/cli/app.cpp
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/qt/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/common.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/common.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse-ipod.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/libscrobble.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/parse.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/parse.h
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.rcc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.moc
qtscrob-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtscrob-0.11/x86_64-redhat-linux-gnu/cli/build/.moc
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/lib/submit.h
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/lib/submit.h
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/qtscrob.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/settings.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/settings.cpp
qtscrob-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.cpp
qtscrob-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/qtscrob-0.11/src/qt/src/missingtimeprogress.cpp
3 packages and 0 specfiles checked; 43 errors, 60 warnings.



Requires
--------
qtscrob (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmtp.so.9()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

scrobbler (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.6)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmtp.so.9()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

qtscrob-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
qtscrob:
    application()
    application(qtscrob.desktop)
    qtscrob
    qtscrob(x86-64)

scrobbler:
    scrobbler
    scrobbler(x86-64)

qtscrob-debuginfo:
    qtscrob-debuginfo
    qtscrob-debuginfo(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/qtscrob/qtscrob-0.11.tar.bz2 :
  CHECKSUM(SHA256) this package     : 01c8e48f616ed09504833d27d92fd62f455bd645ea2d1cc2a5f4c287d641daba
  CHECKSUM(SHA256) upstream package : 01c8e48f616ed09504833d27d92fd62f455bd645ea2d1cc2a5f4c287d641daba


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1309794
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 Raphael Groner 2016-07-11 04:44:45 EDT
About the rpmlint errors:

> qtscrob.x86_64: E: script-without-shebang /usr/share/licenses/qtscrob/COPYING
Remove executable permission.

> qtscrob.x86_64: E: wrong-script-end-of-line-encoding /usr/share/licenses/qtscrob/COPYING
https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

> qtscrob.x86_64: E: incorrect-fsf-address /usr/share/licenses/qtscrob/COPYING
Please report to upstream.
Comment 7 Igor Gnatenko 2016-08-07 14:32:02 EDT
(In reply to Raphael Groner from comment #6)
> About the rpmlint errors:
> 
> > qtscrob.x86_64: E: script-without-shebang /usr/share/licenses/qtscrob/COPYING
> Remove executable permission.
Will fix during import.
> 
> > qtscrob.x86_64: E: wrong-script-end-of-line-encoding /usr/share/licenses/qtscrob/COPYING
> https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-
> encoding
will fix during import
> 
> > qtscrob.x86_64: E: incorrect-fsf-address /usr/share/licenses/qtscrob/COPYING
> Please report to upstream.
Upstream is dead.

Also will fix all other executable issues during import.

And add that license stuff at the same time.
Comment 8 Raphael Groner 2016-08-07 14:41:59 EDT
Okay. APPROVED

Remove alias to allow general search for bugs.
Comment 9 Gwyn Ciesla 2016-08-15 10:51:27 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/qtscrob
Comment 10 Raphael Groner 2016-09-01 15:26:57 EDT
Friendly reminder. Please build a package.
Comment 11 Raphael Groner 2016-11-05 19:26:39 EDT
Closing here to follow policy for stalled reviews.

Note You need to log in before you can comment on or make changes to this bug.